Skocz do zawartości
MC'

Co Się Dzieje Z Kadu

Rekomendowane odpowiedzi

 

Poniewaz chcialem po testowac to sam zrobilem te paczki.... no moze nie do konca sam. Pozyczylem src.rpm od kolegów z OpenSUSE i lekko modyfikujac *.spec zrobilem paczki Kadu 0.9.0 dla Fedora 14. Nie pytalem nikogo o zdanie czy moge itp., ja tylko chcialem zrobic test, a skoro juz jest zbudowane i dziala to udostepniam znajomym wink.gif

 

 

Nie jest to oficjalna wersja dla Fedory ani nie jestem opiekunem paczki!

 

Instalujecie na wlasna odpowiedzialnosc! Kadu dla Fedora

Zakladam ze kazdy ma juz co najmniej kadu 0.10, zatem ukrywam przestarzale rzeczy.

 

 

Przed instalacja:

zrobic kopie ustawien i archiwum - jest to konieczne z powodu powaznych zmian w strukturze kadu!

cp -rf .kadu/ .kadu_bak-0.6.5

Usunac moduly których ja nie spaczkowalem np:

yum remove kadu-tabs kadu-led_notify

Liste zainstalowanych modulów mozna zobaczyc poprzez:

rpm -qa |grep kadu

 

Pobrac wersje

i686 (38,7MB) lub x86_64 (12,7MB)

 

Pliki sa spakowane 7zip-em. Jesli nie masz go zainstalowanego to

yum install p7zip

Rozpakowac, wejsc do katalogu i w nim wykonac jako root:

yum localinstall kadu-* --nogpg

Taka instalacja zajmie Wam jakis 30MB, oczywiscie nie kazdy modul jest konieczny

 

Traktujcie to jako proteze i test, a ja za nic nie odpowiadam. Jesli widzicie jakies powazne bledy to piszcie.

Oczywiscie dodaje kadu-0.9.0-1.src.rpm (11.3MB)

 

---

Edit

Wskazówka neometal by instalowac jako root wink.gif

 

-----

Edit

Update do kadu-0.9.1

i686 (38,7MB) lub x86_64 (12,7MB)

kadu-0.9.1-1.src.rpm (11.3MB)

 

-----

Edit

Od wersji 0.10 kadu zawiera sporo modulów, jednym z nich jest gadu. Zatem sama paczka kadu nie zawiera obslugi protokolu Gadu-Gadu.

Polecam instalowac nastepujace paczki:

kadu-sql_history
kadu-mprisplayer_mediaplayer
kadu-sms
kadu-tabs
kadu-mediaplayer
kadu-history_migration
kadu-history
kadu-gadu_protocol
kadu-chat_notify
kadu-imagelink
kadu-docking
kadu-mpd_mediaplayer
kadu-qt4_docking
kadu-qt4_docking_notify
kadu-falf_mediaplayer
kadu-desktop_docking
kadu

Update do kadu-0.10.1 dla F15

-----

Edit

W wiki znajduja sie tez paczki dla F16 (qt 4.8.0)

 

----

Edit

Aktualizacja do kadu-0.11.0 dla F16

 

*podpowiedz, rozpokowujemy archiwum (7z) i w powstalym katalogu mozemy wykonac

sudo yum update kadu*

by zaktualizowac sie do tej wersji, o ile wczesniej mielismy kadu co najmniej 0.10

 

Rekompilacja kadu 0.11 wymaga najnowszego libgadu-devel-1.11.1, zatem:

libgadu-1.11.1.i686

libgadu-1.11.1.x86_64

libgadu-1.11.1.src.rpm

---

Edit

Aktualizacja do kadu-0.11.1 dla F16

Dla x86_64 zostal zrobiony strip i w archiwum nie ma debuginfo, jesli ktos potrzebuje moze sobie wygenerowac z src.rpm. Paczki sa w repo na wiki

 

---

Edit

Pojawila sie aktualizacja do kadu-0.11.3 dla F16 oraz do kadu-0.12.0 Niestety nie mam ochoty na wrzucanie do archiwum i wystawianie na dropbox. Wszystkie pakiety sa dostepne w moim repo: http://repo.gospogie...zajsk.pl/Fedora.

Problem numer 2, niestety paczki sa tylko dla x86_64 poniewaz vmware z hostem i klientem linux aktywwnie odmawia wspólpracy.

Edytowane przez 3k_PL

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

U mnie działa, podczas instalacji nie napotkałem na żaden problem.

 

W instrukcji mógłbyś jeszcze tylko podać że instalujemy jako root (nie żeby to był jakiś problem) :)

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Nieno tak się nie bawię, nic nie powiedział i spakował :P

No dobra, nie gniewam się, cieszę się, że Ci się udało, co prawda zabrałeś mi pracę domową, ale przecież nie jestem pępkiem świata, ludzie potrzebujący tej paczki są ważniejsi

 

HAIL TUX

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

@Subaru Ja wiem, ja wiem. Tylko ja się nie mogłem doczekać i na chybił trafił skompilowałem, a że działa... no co ja mogę :)

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

No już, dosyć bo stawiasz mnie w złym świetle jako "Big Bad" :P

Cieszę się, że Ci się udało, jeśli nie masz nic przeciwko, pożyczyłbym sobie tą paczkę src.rpm od Ciebie by zerknąć w plik spec jak to w ogóle wygląda dla Kadu na dzień dzisiejszy

Ewentualnie zaryzykuję to co gdzieś w poradniku znalazłem tzn. "Checkinstall"

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

pożyczyłbym sobie tą paczkę src.rpm od Ciebie by zerknąć w plik spec jak to w ogóle wygląda dla Kadu na dzień dzisiejszy

Po to wystawiłem by każdy mógł się tym pobawić. Tylko uważaj bo to wciąga, ja już parę godzin siedzę nad zrobieniem własnej wersji LibreOffice - cel praktyczno-sportowy.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Panowie skoro już tak produktywnie się bawicie moze to wrzucić do repo fedory. Tzn skoro jest już paczuszka i działa ;)

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach
Panowie skoro już tak produktywnie się bawicie moze to wrzucić do repo fedory.
Być może wiesz, że "wrzucenie" do repo Fedory, to nie jest takie hop-siup. Trzeba najpierw znaleźć recenzenta a wcześniej zadbać o to, żeby .spec był właściwy i jeszcze o kilka innych rzeczy. Być może któryś z kolegów paczkujących do repo odezwie się i wyjaśni Ci to dokładniej.

 

W tej chwili to co najwyżej możesz skorzystać z tego co wrzucił 3k_PL do naszego "repo" → http://wiki.fedora.pl/wiki/Repo

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Oczywiście, że wiem ;) Ale nie zmienia to faktu, że skoro już jest paczka- i miejmy nadzieje ma właściwy ;) spec - to czemu nie udostępnić jej światu :)

O ile nie powoduje problemów kompatybilności, co mogło by się stać przeciw wskazaniem (jak w wypadku ff4 i xulrunnera2) to czemu nie... a chwała twórcy zapewniona :D

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

To jest spec "pożyczony" od OpenSUSE i przerobiony na nasze potrzeby (Dość fajnie się przerabia ich spece), wszędzie w nim istnieją wpisy "opensuse".

Nie ma problemów kompatybilności, jest to zwykła aktualizacja, ale coś mi się przypomina że:

1. Kadu miał już swojego opiekuna

2. Od wersji 14 nie ma zgody na wprowadzanie nowszych wersji programów które działają zupełnie inaczej - a to Kadu ma historię sqlite

 

Sumując, ja nie wprowadzę tego do repo Fedory, ale jeśli ktoś chciałby spróbować to ja nie mam nic przeciwko.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Owszem, wersji 0.9 nie przyjmą do Fedory 14, ale już do Fedory 15 i 16 jak najbardziej. Warto, żeby w F15 nowe Kadu było od razu dostępne.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach
co mogło by się stać przeciw wskazaniem (jak w wypadku ff4 i xulrunnera2)

Aaah, a ja się wściekam na brak FFx 4 :P

 

Po to wystawiłem by każdy mógł się tym pobawić. Tylko uważaj bo to wciąga, ja już parę godzin siedzę nad zrobieniem własnej wersji LibreOffice - cel praktyczno-sportowy.

Dzięki za ostrzeżenie, założę Holy Robe +4 oraz Sunglasses B)

 

3k_PL - na upartego ktoś może zrobić sobie repozytorium lokalne w ramach sportu i wrzucać tam kolejne spakowane wersje Kadu :P

Hmm kiedyś miałem repozytorium lokalne ale to dawno jak ciężko było niektóre paczki znaleźć i trzeba było z rpm.pbone zasysać... stare dzieje

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Jestem zszokowany, Kadu wróciło na dobrą ścieżkę w repozytorium...ale pewnie i tak połowa tych co się wnerwiali na brak paczki dalej będzie kompilować ze źródeł dalsze wydania :P

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Jeśli chcesz dodać odpowiedź, zaloguj się lub zarejestruj nowe konto

Jedynie zarejestrowani użytkownicy mogą komentować zawartość tej strony.

Zarejestruj nowe konto

Załóż nowe konto. To bardzo proste!

Zarejestruj się

Zaloguj się

Posiadasz już konto? Zaloguj się poniżej.

Zaloguj się

×